(function() {

    var $ = af;

    var config = {
        tpl: "#overview",
        pane: '.section',
        nav:'.nav',
        auto: 0,
        speed: 200,
        startSlide: 0,
        continuous: false
    };

    $.fullpage = function(options) {
        options = $.extend({},config,options);

        var swipe, activeIndex = 0,inLast = 0,count = 1;

        var overview = $('#overview');

        function setActivePage(index) {
            overview.removeClass("active-" + activeIndex).addClass("active-" + activeIndex);

            
            if (activeIndex != null) {
                overview.removeClass("active-" + activeIndex);
                af(swipe.panes[activeIndex]).removeClass('active');
            }

            setTimeout(function(){
                activePanel = af(swipe.panes[index]).addClass('active');
                activePanel.hasClass('animationActived') || activePanel.addClass('animationActived');

                overview.addClass("active-" + index).toggleClass("inlast",!inLast);

            },options.speed);
            
        }

        var fnCallback = options.callback;

        options.callback = function() {
            var index = swipe.getPos();
            setActivePage(index);
            activeIndex = index;

            if (index != count) {
                inLast = false;
            }

            fnCallback && fnCallback(swipe,index,inLast);
        }

        define(['fui/swipe/1.0'], function(Swipe) {
            swipe = new Swipe(options);
            count = swipe.panes.length - 1;
        });

        setActivePage(0);

        if(options.url){
             $(options.pane).swipeLeft(function() {
                var index = swipe.getPos();

                if (inLast) {
                    window.location.href = options.url;
                } else {
                    inLast = index === count;
                }
            });
        }

         $('.start').on('tap',function(){
            window.location.href = options.url;
        });
    }

})();
